- Home
- Resources
- Events admin API
WS for toolsets
GET /admin/events/json/{eventName}
Get list of event rights for given event.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| eventName |
path |
Name of event |
|
|
Response Body
| media type |
data type |
description |
| application/json |
ChannelPermissionsModel
(JSON) |
JSON Response with list of events
Example of response:
{"list":[{"channel":"EMAIL","permissions":[{"name":"Admins","id":1,"type":"group"},{"name":"Crew","id":12,"type":"group"},{"id":0,"type":"target","name":"target"}]},{"channel":"LOG","permissions":[{"name":"Admins","id":1,"type":"group"},{"name":"user1","id":20,"type":"user"}]},{"channel":"PUSH","permissions":[{"name":"Admins","id":1,"type":"group"},{"name":"user2","id":21,"type":"user"}]}]}
|
PUT /admin/events/notify/{eventName}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| eventName |
path |
|
|
|
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
|
GET /admin/events/json/{eventName}/{channel}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| channel |
path |
|
|
|
| eventName |
path |
|
|
|
| mode |
query |
|
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
POST /admin/events/rights/add/{eventName}/{channel}
Add rights for given users or groups to given event.
Example of request:
{"list":[{"identityId":"1","isAllEvents":true},{"identityId":"2","isAllEvents":false}]}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| channel |
path |
|
|
|
| eventName |
path |
|
|
|
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
Response with information, whether the operation has or has not
been succeeded. |
POST /admin/events/rights/remove/{eventName}/{channel}
Remove rights for given users or groups to given event.
Example of request:
{"list":[{"identityId":"1"},{"identityId":"2"}]}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| channel |
path |
|
|
|
| eventName |
path |
|
|
|
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
Response with information, whether the operation has or has not
been succeeded. |